[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.Bound

Is the parameter value bound (set to fixed value)

## Declaration

Source position: db.pas line 1201

`public property TParam.Bound : Boolean read FBound write FBound;`

## Description

Bound indicates whether a parameter has received a fixed value: setting the parameter value will set Bound to True. When creating master-detail relationships, parameters with their Bound property set to True will not receive a value from the master dataset: their value will be kept. Only parameters where Bound is False will receive a new value from the master dataset.

## See also

TParam.DataType |  | Data type of the parameter
TParam.Value |  | Value as a variant

Documentation generated on: Feb 26 2014